API Direct
Endpoints
TikTok Hashtag Details

TikTok Hashtag Details

GET /v1/tiktok/hashtag

Get a hashtag's details by name, numeric hashtag ID, or hashtag URL. Returns its ID, video count, total views, description, and cover image.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

name
Hashtag name, with or without leading # (max 100 characters). Provide exactly one of name, hashtag_id, or url.
hashtag_id
Numeric hashtag ID, as returned by Search Hashtags. Provide exactly one of name, hashtag_id, or url.
url
TikTok hashtag URL, e.g. https://www.tiktok.com/tag/cooking (max 500 characters). Provide exactly one of name, hashtag_id, or url.

Example Request

curl "https://apidirect.io/v1/tiktok/hashtag?name=cooking"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "hashtag": {
    "hashtag_id": "18973",
    "name": "cooking",
    "description": "",
    "video_count": 19318490,
    "views": 555119436497,
    "is_commerce": false,
    "cover": "https://p16-common-sign.tiktokcdn.com/.../cover.jpeg",
    "url": "https://www.tiktok.com/tag/cooking"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity